CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api GET /v1/customers/cus_abc123/fixed-routes \
--query limit=10List fixed routes for a customer (cus_abc123).import requests
url = "https://sandbox.api.infinite.dev/v1/customers/{customerId}/fixed-routes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.infinite.dev/v1/customers/{customerId}/fixed-routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/customers/{customerId}/fixed-routes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/customers/{customerId}/fixed-routes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.infinite.dev/v1/customers/{customerId}/fixed-routes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/customers/{customerId}/fixed-routes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "vba_abc123",
"customerId": "cus_abc123",
"type": "FIAT_TO_CRYPTO",
"status": "ACTIVE",
"enabled": true,
"sourceAccount": {
"id": "vba_abc123",
"type": "VIRTUAL_BANK",
"metadata": {
"nickname": "Main Checking Account",
"purpose": "Business operations",
"tags": [
"primary",
"operations"
]
},
"depositInstructions": {
"accountNumber": "1234567890",
"bankName": "JPMorgan Chase Bank",
"bankAddress": {
"addressLine1": "123 Main Street",
"addressLine2": "Apt 4B",
"city": "San Francisco",
"state": "CA",
"postalCode": "94102",
"country": "US"
},
"routingNumber": "021000021",
"iban": "GB82WEST12345698765432",
"swiftBic": "CHASUS33",
"bankCountryCode": "US",
"reference": "REF-123456",
"depositMessage": "INV-2026-0001",
"beneficiaryName": "John Doe",
"beneficiaryAddress": {
"addressLine1": "123 Main Street",
"addressLine2": "Apt 4B",
"city": "San Francisco",
"state": "CA",
"postalCode": "94102",
"country": "US"
}
},
"sourceCurrency": "USD",
"sourceRail": "ACH",
"sourceRails": [
"ACH",
"WIRE"
],
"walletAddress": "0x742d35Cc6529Cf6c6D06E4C8a4c07583F5C6C2d8",
"addressType": "EVM",
"chains": [
"ETHEREUM",
"BASE"
],
"walletType": "TREASURY"
},
"sweepTargetAccountId": "ewa_abc123",
"sharesBalanceAccountCoordinates": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"depositMatching": "DEDICATED",
"metadata": {
"nickname": "Main Checking Account",
"purpose": "Business operations",
"tags": [
"primary",
"operations"
]
},
"destinationCurrency": "USDC",
"destinationRail": "BASE",
"sweepTargetAccount": {
"id": "ewa_abc123",
"type": "EXTERNAL_WALLET",
"isThirdParty": false,
"metadata": {
"nickname": "Main Checking Account",
"purpose": "Business operations",
"tags": [
"primary",
"operations"
]
},
"walletAddress": "0x742d35Cc6529Cf6c6D06E4C8a4c07583F5C6C2d8",
"addressType": "EVM",
"chains": [
"ETHEREUM",
"BASE"
],
"accountNumber": "****7890",
"routingNumber": "021000021",
"bankName": "Bank of America"
},
"developerFeeFixed": "100000",
"developerFeePercent": 0.01,
"refundAccountId": "inw_abc123",
"correspondentBank": {
"name": "<string>",
"swiftCode": "IRVTUS3NXXX",
"accountNumber": "9876543210"
},
"allowedSenderBanks": [
{
"bankName": "JPMorgan Chase",
"routingNumber": "021000021",
"swiftBic": "CHASUS33"
}
],
"documentIds": [
"<string>"
],
"minimumAmount": {
"currency": "USD",
"exponent": 2,
"value": "12345",
"displayValue": "123.45"
}
}
],
"total": 123,
"limit": 123,
"offset": 123
}Fixed Routes
List fixed routes for a customer
Returns all fixed routes (virtual bank accounts and virtual wallets) configured for a customer.
GET
/
v1
/
customers
/
{customerId}
/
fixed-routes
CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api GET /v1/customers/cus_abc123/fixed-routes \
--query limit=10List fixed routes for a customer (cus_abc123).import requests
url = "https://sandbox.api.infinite.dev/v1/customers/{customerId}/fixed-routes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.infinite.dev/v1/customers/{customerId}/fixed-routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/customers/{customerId}/fixed-routes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/customers/{customerId}/fixed-routes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.infinite.dev/v1/customers/{customerId}/fixed-routes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/customers/{customerId}/fixed-routes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "vba_abc123",
"customerId": "cus_abc123",
"type": "FIAT_TO_CRYPTO",
"status": "ACTIVE",
"enabled": true,
"sourceAccount": {
"id": "vba_abc123",
"type": "VIRTUAL_BANK",
"metadata": {
"nickname": "Main Checking Account",
"purpose": "Business operations",
"tags": [
"primary",
"operations"
]
},
"depositInstructions": {
"accountNumber": "1234567890",
"bankName": "JPMorgan Chase Bank",
"bankAddress": {
"addressLine1": "123 Main Street",
"addressLine2": "Apt 4B",
"city": "San Francisco",
"state": "CA",
"postalCode": "94102",
"country": "US"
},
"routingNumber": "021000021",
"iban": "GB82WEST12345698765432",
"swiftBic": "CHASUS33",
"bankCountryCode": "US",
"reference": "REF-123456",
"depositMessage": "INV-2026-0001",
"beneficiaryName": "John Doe",
"beneficiaryAddress": {
"addressLine1": "123 Main Street",
"addressLine2": "Apt 4B",
"city": "San Francisco",
"state": "CA",
"postalCode": "94102",
"country": "US"
}
},
"sourceCurrency": "USD",
"sourceRail": "ACH",
"sourceRails": [
"ACH",
"WIRE"
],
"walletAddress": "0x742d35Cc6529Cf6c6D06E4C8a4c07583F5C6C2d8",
"addressType": "EVM",
"chains": [
"ETHEREUM",
"BASE"
],
"walletType": "TREASURY"
},
"sweepTargetAccountId": "ewa_abc123",
"sharesBalanceAccountCoordinates": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"depositMatching": "DEDICATED",
"metadata": {
"nickname": "Main Checking Account",
"purpose": "Business operations",
"tags": [
"primary",
"operations"
]
},
"destinationCurrency": "USDC",
"destinationRail": "BASE",
"sweepTargetAccount": {
"id": "ewa_abc123",
"type": "EXTERNAL_WALLET",
"isThirdParty": false,
"metadata": {
"nickname": "Main Checking Account",
"purpose": "Business operations",
"tags": [
"primary",
"operations"
]
},
"walletAddress": "0x742d35Cc6529Cf6c6D06E4C8a4c07583F5C6C2d8",
"addressType": "EVM",
"chains": [
"ETHEREUM",
"BASE"
],
"accountNumber": "****7890",
"routingNumber": "021000021",
"bankName": "Bank of America"
},
"developerFeeFixed": "100000",
"developerFeePercent": 0.01,
"refundAccountId": "inw_abc123",
"correspondentBank": {
"name": "<string>",
"swiftCode": "IRVTUS3NXXX",
"accountNumber": "9876543210"
},
"allowedSenderBanks": [
{
"bankName": "JPMorgan Chase",
"routingNumber": "021000021",
"swiftBic": "CHASUS33"
}
],
"documentIds": [
"<string>"
],
"minimumAmount": {
"currency": "USD",
"exponent": 2,
"value": "12345",
"displayValue": "123.45"
}
}
],
"total": 123,
"limit": 123,
"offset": 123
}Authorizations
API Key in Bearer format (e.g., Bearer sk_test_...)
Headers
API key
Path Parameters
Customer ID
Example:
"cus_abc123"
Query Parameters
Number of items to return (default: 50)
Number of items to skip (default: 0)
Was this page helpful?